{
  "factory": {
    "id": "common-config",
    "type": "entaxy.runtime.config",
    "description": "Blueprint configuration factory"
  },
  "entaxy.runtime.config": {},
  "fields": {
    "configurables": {
      "type": "Map",
      "group": "config",
      "required": true,
      "defaultValue": {}
    },
    "immutables": {
      "type": "Map",
      "group": "config",
      "required": true,
      "defaultValue": {}
    },
    "##publish": {
    	"defaultValue": {
    		"target":"TO_REMOVE",
			"relation": [
				{
					"@CALCULATED": {
						"expression": "${properties.configuredId}:${properties.configuredType}:config:-composition:config",
						"lazy": false
					}
				}
			]
    	}
    }
  },
  "outputs": {
    "init": {
      "isDefault": true,
      "scopes": ["private"]
    },
    "config-field": {
      "isDefault": false,
      "generator": "",
      "config": {},
      "scopes": ["private"]
    },
    "ref":{
      "scopes": ["private", "public"]
    }
  }
}